Utf8Block (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module
Class Utf8Block

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.Utf8Block

    public class Utf8Block

extends java.lang.Object

This class encapsulates a Unicode code block.

See Also:
  `Utf8Module`

Field Summary
`static Utf8Block[]` | `unicodeBlock` Unicode 6.0.0 blocks, derived from <http://www.unicode.org/Public/3.2-Update/Blocks-3.2.0.txt> and updated to Unicode 6.0.0

Constructor Summary
`Utf8Block(int start, int end, java.lang.String name)` Creates a Utf8Block, specifying the start and end codes and block name.

Method Summary
`int` | `getEnd()` Returns the end code.
`java.lang.String` | `getName()` Returns the block name.
`int` | `getStart()` Returns the start code.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### unicodeBlock

    public static final Utf8Block[] unicodeBlock

  Unicode 6.0.0 blocks, derived from <http://www.unicode.org/Public/3.2-Update/Blocks-3.2.0.txt> and updated to Unicode 6.0.0

Constructor Detail

### Utf8Block

    public Utf8Block(int start,
                     int end,
                     java.lang.String name)

  Creates a Utf8Block, specifying the start and end codes and block name.

  Parameters:
    `start` - Start code as defined in the Unicode block specification
    `end` - End code as defined in the Unicode block specification
    `name` - Block name

Method Detail

### getEnd

    public int getEnd()

  Returns the end code.

### getName

    public java.lang.String getName()

  Returns the block name.

### getStart

    public int getStart()

  Returns the start code.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD